%{?nodejs_find_provides_and_requires}

%global packagename append-transform
%global enable_tests 0
# tests disabled due to missing 'ava' in Fedora

Name:		nodejs-append-transform
Version:	0.4.0
Release:	1%{?dist}
Summary:	Install a transform to `require.extensions` that always runs last

License:	MIT
URL:		https://github.com/jamestalmage/append-transform.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(default-require-extensions)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Install a transform to `require.extensions` that always runs last, even if
additional extensions are added later.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%elif
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.0-1
- Initial packaging
